package cn.iocoder.yudao.module.order.dal.dataobject.orderOperateLog;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单操作日志 DO
 *
 * @author 郑屹
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_operate_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderOperateLogDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单ID
     */
    private Long orderId;
    /**
     * 变更后订单详情数据
     */
    private String body;
    /**
     * 请求地址
     */
    private String requestUrl;
    /**
     * 变更类型
     */
    private String type;
    /**
     * 变更描述
     */
    private String msg;
    /**
     * 备注说明
     */
    private String note;
    /**
     * 操作人类型：1 会员 2 管理员
     */
    private Integer userType;
    /**
     * 创建者名称
     */
    private String creatorName;

}
