package cn.iocoder.yudao.module.order.vo.approval;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订单相关审核详情查询 VO")
public class OrderApprovalQueryVO {

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "流程表单实例ID")
    private String formId;

    @ApiModelProperty(value = "类型 详见order_approval_type：1 特价优惠 2 佣金申请 3 管理")
    private Integer type;

    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;

    @ApiModelProperty(value = "审核内容详情")
    private String details;

    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "结束人")
    private String finishBy;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始结束时间")
    private Date beginFinishTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束结束时间")
    private Date endFinishTime;

}
